package com.trade.service.contract.util.esign.entity;

import java.io.Serializable;

/**
 * @Description:e签宝：企业账户更新实体
 * @Author:wanxiangZhou
 * @E-mail:zhouyu@sunxung.cn
 * @Date:Sep 11, 2019 11:13:07 AM
 */
public class ESignOrganAccountUpdate implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 机构账号id，企业用户在 e 签宝的企业账号唯一标识(required)
     */
    private String orgId;
    /**
     * 机构名称，默认不变
     */
    private String name;
    /**
     * 证件类型(required)</br>
     * 企业统一社会信用代码-默认CRED_ORG_USCC
     */
    private String idType = "CRED_ORG_USCC";
    /**
     * 证件号，该字段只有为空才允许修改
     */
    private String idNumber;
    /**
     * 企业法人证件号
     */
    private String orgLegalIdNumber;
    /**
     * 企业法人名称
     */
    private String orgLegalName;

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdType() {
        return idType;
    }

    public void setIdType(String idType) {
        this.idType = idType;
    }

    public String getIdNumber() {
        return idNumber;
    }

    public void setIdNumber(String idNumber) {
        this.idNumber = idNumber;
    }

    public String getOrgLegalIdNumber() {
        return orgLegalIdNumber;
    }

    public void setOrgLegalIdNumber(String orgLegalIdNumber) {
        this.orgLegalIdNumber = orgLegalIdNumber;
    }

    public String getOrgLegalName() {
        return orgLegalName;
    }

    public void setOrgLegalName(String orgLegalName) {
        this.orgLegalName = orgLegalName;
    }
}
